Bug 707350 - [abrt] gcalctool-5.32.0-1.fc14: math_equation_insert: Process /usr/bin/gcalctool was killed by signal 11 (SIGSEGV)
[abrt] gcalctool-5.32.0-1.fc14: math_equation_insert: Process /usr/bin/gcalct...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:d50aa4d4271fea5098497b27e92...
:
: 649540 678388 702297 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 15:29 EDT by Vector Thorn
Modified: 2012-08-16 10:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 10:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.17 KB, text/plain)
2011-05-24 15:29 EDT, Vector Thorn
no flags Details

  None (edit)
Description Vector Thorn 2011-05-24 15:29:52 EDT
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 37036 bytes
cmdline: gcalctool
component: gcalctool
Attached file: coredump, 13959168 bytes
crash_function: math_equation_insert
executable: /usr/bin/gcalctool
kernel: 2.6.35.13-91.fc14.x86_64
package: gcalctool-5.32.0-1.fc14
rating: 4
reason: Process /usr/bin/gcalctool was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1306265277
uid: 500

How to reproduce
-----
1. tried to past a number that i copied from the gnome-terminal
2.
3.
Comment 1 Vector Thorn 2011-05-24 15:29:54 EDT
Created attachment 500680 [details]
File: backtrace
Comment 2 Igor 2011-06-05 15:20:38 EDT
Package: gcalctool-5.32.0-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open GcalcTool
2.Ctrl+v
3...
4.PROFIT!!!
Comment 3 Chuck Maggs 2011-07-20 21:30:55 EDT
Package: gcalctool-5.32.0-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened Calculator
2. Tried to paste in copied text (but later realized that text had not been copied)
3. Calculator hung, then crashed
Comment 4 Johnray Fuller 2011-09-02 09:47:11 EDT
Package: gcalctool-5.32.0-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I copies the following text into the text field:

http://www.google.com/search?q=7GB+in+kB

7 340 032

It killed the calculator.
Comment 5 Chuck Maggs 2011-09-22 00:00:30 EDT
Package: gcalctool-5.32.0-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Run a Linux session in Oracle's VirtualBox.
2. Start up the calculator.
3. Use <Ctrl-C> to copy a number from a system prompt within the VirtualBox session.
4. Use <Ctrl-V> to paste the number into the calculator.
Comment 6 M D 2011-09-30 07:31:52 EDT
Package: gcalctool-5.32.0-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Crashed in copy-paste operation.
2.
3.


Comment
-----
I have tried to copy from txt file and paste it to calc when it chrashed.
Comment 7 João Carlos Mendes Luís 2011-11-04 14:52:05 EDT
Package: gcalctool-5.32.0-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open calculator
2. Ensure your clipboard is empty
3. Call menu Calculator/Paste, or simply press your keyboard paste sequence
Comment 8 abrt-bot 2012-03-21 11:21:18 EDT
*** Bug 678388 has been marked as a duplicate of this bug. ***
Comment 9 abrt-bot 2012-03-21 11:21:28 EDT
*** Bug 649540 has been marked as a duplicate of this bug. ***
Comment 10 abrt-bot 2012-03-30 09:12:42 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component gtk2 or glib2 instead of component gcalctool, reassigning to gtk2.

Bugs which were found to be similar to this bug: 
  gcalctool: bug #649540, bug #678388
  gnome-terminal: bug #702297

This comment is automatically generated.
Comment 11 abrt-bot 2012-03-30 09:12:55 EDT
*** Bug 702297 has been marked as a duplicate of this bug. ***
Comment 12 Fedora End Of Life 2012-08-16 10:29:12 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.